GCLOUD_ML-ENGINE_JOBS_SUBMIT_PREDICTION(1)

NAME

gcloud ml-engine jobs submit prediction - start a Cloud ML Engine batch prediction job

SYNOPSIS

gcloud ml-engine jobs submit prediction JOB --data-format=DATA_FORMAT --input-paths=INPUT_PATH,[INPUT_PATH,...] --output-path=OUTPUT_PATH --region=REGION (--model=MODEL | --model-dir=MODEL_DIR) [--max-worker-count=MAX_WORKER_COUNT] [--runtime-version=RUNTIME_VERSION] [--version=VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
Start a Cloud ML Engine batch prediction job.

POSITIONAL ARGUMENTS

    JOB Name of the batch prediction job.

REQUIRED FLAGS

    --data-format=DATA_FORMAT
        Data format of the input files. DATA_FORMAT must be one of:

        TEXT
            Text files with instances separated by the new-line character.

        TF_RECORD
            TFRecord files; see https://www.tensorflow.org/versions/r0.12/how_tos/reading_data/index.html#file-formats

        TF_RECORD_GZIP
            GZIP-compressed TFRecord files.

    --input-paths=INPUT_PATH,[INPUT_PATH,...]
        Google Cloud Storage paths to the instances to run prediction on. Wildcards (*) accepted at the end of a path. More than one path can be specified if multiple file patterns are needed. For example,
        gs://my-bucket/instances*,gs://my-bucket/other-instances1
    will match any objects whose names start with instances in my-bucket as well as the other-instances1 bucket, while
        gs://my-bucket/instance-dir/*
    will match any objects in the instance-dir "directory" (since directories aren't a first-class Cloud Storage concept) of my-bucket.

    --output-path=OUTPUT_PATH
        Google Cloud Storage path to which to save the output. Example: gs://my-bucket/output.

    --region=REGION
        The Google Compute Engine region to run the job in.

Exactly one of these must be specified:

    --model=MODEL
        Name of the model to use for prediction.

    --model-dir=MODEL_DIR
        Google Cloud Storage location where the model files are located.

OPTIONAL FLAGS

    --max-worker-count=MAX_WORKER_COUNT
        The maximum number of workers to be used for parallel processing. Defaults to 10 if not specified.

    --runtime-version=RUNTIME_VERSION
        The Google Cloud ML Engine runtime version for this job. Defaults to the latest stable version. See https://cloud.google.com/ml/docs/concepts/runtime-version-list for a list of accepted versions.

    --version=VERSION
        Model version to be used. This flag may only be given if --model is specified. If unspecified, the default version of the model will be used. To list versions for a model, run
        $ gcloud ml-engine versions list

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.